Sunday, May 8, 2011

Ubuntu 11.04 Natty Narwhal Review


After waiting many months, the latest ubuntu release has been published a few weeks ago. What and how the performance of the Natty this.

Here's the latest test release ubuntu 11:04 uses several different hardware. Incidentally kompeter could borrow from friends and laptop to have someone (only intel, amd who do not have the love and loans)

1. Booting requires only 50-10 seconds (I3 processors or more)
booting requires 10-30 (under the dual cores, or netbook)

2. Desktop look a little different than previous releases, since it uses unity ubuntu 11:04.


glance for Apple users if somewhat similar, because the application is on the left desktop.

3. In the latest Ubuntu, there are some applications that change, which is very striking is that Open Office is no longer a default install of ubuntu. His replacement is the Libre Office, but its user exactly like other office applications like openoffice and microsoft office. Separate also is gimp, applications for the designer is also already there when the installation is not automatic, but we can still download through the application sypnatic or via terminal (apt-get install)



4. Browser Mozilla Firefox on ubuntu still, what a coincidence when released yesterday, also firefox has just launched its latest version. To support the performance of Ubuntu users. The latest version of Firefox has become the default browser on this Natty.



5. Natty is the latest breakthrough in cloud computing. If you want to store data in the cloud of ubuntu, ubuntu just use one application. This application is suitable for users who are super mobile.



So Ubuntu Natty review, we wait for the latest terobasan in the next Ubuntu release Oneiric Ocelot 11:10

Read More

Thursday, May 5, 2011

Downgrade PHP 5.3 to PHP 5.2 Ubuntu Lucid Server

This process is required at the server system does not match the needs of bcompiler to perform the randomization code in PHP. Discussion will I show is using Ubuntu Lucid Server.
The following process steps downgrade:
1. Check what PHP packages are installed on the server, then list to be removed from the system. To do this use the command: dpkg-l | grep php

yoyok@yoyok-desktop:~$ dpkg -l | grep php


will appear like this:
ii libapache2-mod-php5 5.3.2-0ubuntu1 server-side, HTML-embedded scripting languag
ii php-pear 5.3.2-0ubuntu1 PEAR - PHP Extension and Application Reposit
ii php5-cgi 5.3.2-0ubuntu1 server-side, HTML-embedded scripting languag
ii php5-cli 5.3.2-0ubuntu1 command-line interpreter for the php5 script
ii php5-common 5.3.2-0ubuntu1 Common files for packages built from the php
ii php5-dev 5.3.2-0ubuntu1 Files for PHP5 module development
ii php5-gd 5.3.2-0ubuntu1 GD module for php5
rc php5-mcrypt 5.3.2-0ubuntu1 MCrypt module for php5
ii php5-mysql 5.3.2-0ubuntu1 MySQL module for php5
ii php5-sqlite 5.3.2-0ubuntu1 SQLite module for php5


2. Prepare a PHP packages that will diremove

yoyok@yoyok-desktop:~$ dpkg -l | grep php | awk '{print $2}'

results:
libapache2-mod-php5
php-pear
php5-cgi
php5-cli
php5-common
php5-dev
php5-gd
php5-mcrypt
php5-mysql
php5-sqlite


3. Remove the php package with the command:

yoyok@yoyok-desktop:~$ sudo apt-get remove libapache2-mod-php5
php-pear php5-cgi php5-cli php5-common php5-dev php5-gd php5-mcrypt php5-mysql php5-sqlite


4. After the successful, add the karmic repository in /etc/apt/sources.list, for ease of use this command:

yoyok@yoyok-desktop:~$ sed s/lucid/karmic/g /etc/apt/sources.list | tee /etc/apt/sources.list.d/karmic.list


5. Then, create a pin whose function is to hold for package PHP will not be upgraded to Lucid again, Create a file called php which is stored in the folder /etc/apt/preferences.d/, whose contents are as follows:
Package: libapache2-mod-php5
Pin: release a=karmic
Pin-Priority: 991

Package: php-pear
Pin: release a=karmic
Pin-Priority: 991

Package: php5-cgi
Pin: release a=karmic
Pin-Priority: 991

Package: php5-cli
Pin: release a=karmic
Pin-Priority: 991

Package: php5-common
Pin: release a=karmic
Pin-Priority: 991

Package: php5-dev
Pin: release a=karmic
Pin-Priority: 991

Package: php5-gd
Pin: release a=karmic
Pin-Priority: 991

Package: php5-mcrypt
Pin: release a=karmic
Pin-Priority: 991

Package: php5-mysql
Pin: release a=karmic
Pin-Priority: 991

Package: php5-sqlite
Pin: release a=karmic
Pin-Priority: 991


6. Do the updates and install the package php
yoyok@yoyok-desktop:~$ sudo apt-get update
yoyok@yoyok-desktop:~$ sudo apt-get install libapache2-mod-php5
php-pear php5-cgi php5-cli php5-common php5-dev php5-gd php5-mcrypt php5-mysql php5-sqlite


7. When finished do check the package php (php 5.2) with the command dpkg-l | grep php. result like this:
ii libapache2-mod-php5 5.2.10.dfsg.1-2ubuntu6.4 server-side, HTML-embedded scripting languag
ii php-pear 5.2.10.dfsg.1-2ubuntu6.4 PEAR - PHP Extension and Application Reposit
ii php5-cgi 5.2.10.dfsg.1-2ubuntu6.4 server-side, HTML-embedded scripting languag
ii php5-cli 5.2.10.dfsg.1-2ubuntu6.4 command-line interpreter for the php5 script
ii php5-common 5.2.10.dfsg.1-2ubuntu6.4 Common files for packages built from the php
ii php5-dev 5.2.10.dfsg.1-2ubuntu6.4 Files for PHP5 module development
ii php5-gd 5.2.10.dfsg.1-2ubuntu6.4 GD module for php5
rc php5-mcrypt 5.2.6-0ubuntu2 MCrypt module for php5
ii php5-mysql 5.2.10.dfsg.1-2ubuntu6.4 MySQL module for php5
ii php5-sqlite 5.2.10.dfsg.1-2ubuntu6.4 SQLite module for php5


So now the downgrade of package php 5.3 to 5.2 successfully
Read More